Subject: Re: [PATCH v6 0/3] sched, net: NUMA-aware CPU spreading interface

From: Jakub Kicinski <[email-masked]>
Date: Wed, 2 Nov 2022 19:56:16 -0700

On Fri, 28 Oct 2022 17:49:56 +0100 Valentin Schneider wrote:
> Tariq pointed out in [1] that drivers allocating IRQ vectors would benefit
> from having smarter NUMA-awareness (cpumask_local_spread() doesn't quite cut
> it).
> 
> The proposed interface involved an array of CPUs and a temporary cpumask, and
> being my difficult self what I'm proposing here is an interface that doesn't
> require any temporary storage other than some stack variables (at the cost of
> one wild macro).
> 
> [1]: https://lore.kernel.org/all/[email-masked]/

Not sure who's expected to take these, no preference here so:

Acked-by: Jakub Kicinski <[email-masked]>

Thanks for ironing it out!